Buf(1)

NAME
buf-plugin-update - Update pinned remote plugins in a buf.lock

SYNOPSIS
buf plugin update [flags]

DESCRIPTION
Fetch the latest digests for the specified plugin references in buf.yaml.

The first argument is the directory of the local module to update. Defaults to "." if no argument is specified.

OPTIONS
-h, --help[=false]
    help for update

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Turn on debug logging

--log-format="color"
    The log format [text,color,json]

--timeout=0s
    The duration until timing out, setting it to 0 means no timeout

SEE ALSO
buf-plugin(1)

HISTORY
2026-05-25 Auto generated by spf13/cobra